Bug 10406 - Remove obsolete CSS related to YUI autocomplete
Summary: Remove obsolete CSS related to YUI autocomplete
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-04 17:19 UTC by Owen Leonard
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10406 - Remove obsolete CSS related to YUI autocomplete (2.01 KB, patch)
2013-06-04 17:36 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10406 - Remove obsolete CSS related to YUI autocomplete (1.74 KB, patch)
2013-06-06 01:26 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 10406 - Remove obsolete CSS related to YUI autocomplete (1.84 KB, patch)
2013-06-10 09:20 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 10406 - (followup) YUI-ac related code (2.28 KB, patch)
2013-06-11 18:29 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10406 - (followup) YUI-ac related code (2.38 KB, patch)
2013-06-11 18:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10406 - (followup) YUI-ac related code (2.41 KB, patch)
2013-06-12 13:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-06-04 17:19:58 UTC
There are a couple of sections in staff-global.css which relate to YUI autocomplete. Since this has been replaced with jQueryUI autocomplete they can be removed.
Comment 1 Owen Leonard 2013-06-04 17:36:30 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2013-06-06 01:26:58 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2013-06-10 09:20:43 UTC Comment hidden (obsolete)
Comment 4 Galen Charlton 2013-06-10 14:56:23 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Tomás Cohen Arazi 2013-06-11 18:29:03 UTC Comment hidden (obsolete)
Comment 6 Tomás Cohen Arazi 2013-06-11 18:34:36 UTC
This patch has been pushed to 3.12.x, will be in 3.12.1.

This patch fixes an annoying cosmetic bug on ifrefox due to the width of the borrowerautocomplete div being fixed to 500px (50px more than what was calculated for the other input tabs).

Well done Owen! 3.12.x will look prettier!

I provided a follow-up for some other stuff left around.
Comment 7 Owen Leonard 2013-06-11 18:43:52 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2013-06-12 13:56:03 UTC
Created attachment 18898 [details] [review]
Bug 10406 - (followup) YUI-ac related code

Some other stuff that might be removed.
To test:
- Apply, the search form doesn't break.

Sponsored-by: Universidad Nacional de Córdoba
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 9 Galen Charlton 2013-06-12 14:27:04 UTC
Pushed the follow-up (with rewording of the commit message) to master.  Thanks, Tomás!
Comment 10 Tomás Cohen Arazi 2013-06-12 18:50:37 UTC
This patch has been pushed to 3.12.x, will be in 3.12.1.